Debian Bug report logs - #387772
ITA: binutils-h8300-hms

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Berg <myon@debian.org>

Date: Sat, 16 Sep 2006 16:18:29 UTC

Owned by: Michael Tautschnig <tautschn@model.in.tum.de>

Severity: normal

Fixed in version binutils-h8300-hms/2.16.1-1

Done: Michael Tautschnig <tautschn@model.in.tum.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephen M Moraco <stephen@debian.org>, <wnpp@debian.org>:
Bug#387772; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: submit@bugs.debian.org
Subject: O: binutils-h8300-hms -- GNU cross assembler for H8/300[HS], linker and binary utilities
Date: Sat, 16 Sep 2006 18:18:11 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of binutils-h8300-hms, Stephen M Moraco <stephen@debian.org>,
is not working on this package anymore.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: binutils-h8300-hms
Binary: binutils-h8300-hms
Version: 2.9.5.0.37.5.2
Priority: extra
Section: devel
Maintainer: Stephen M Moraco <stephen@debian.org>
Build-Depends: debhelper (>= 2.2.7), bzip2, bison, flex-old, autotools-dev
Architecture: any
Standards-Version: 3.5.10
Format: 1.0
Directory: pool/main/b/binutils-h8300-hms
Files:
 494d2f97aa776ea0774ecf8d7b198e78 587 binutils-h8300-hms_2.9.5.0.37.5.2.dsc
 ddd9f31613d26e76785957bc604a693b 5258713 binutils-h8300-hms_2.9.5.0.37.5.2.tar.gz

Package: binutils-h8300-hms
Priority: extra
Section: devel
Installed-Size: 3752
Maintainer: Stephen M Moraco <stephen@debian.org>
Architecture: i386
Version: 2.9.5.0.37.5.2
Replaces: binutils-h8300 (>= 2.9.5.0.37)
Depends: libc6 (>= 2.3.5-1)
Conflicts: binutils-h8300 (>= 2.9.5.0.37)
Filename: pool/main/b/binutils-h8300-hms/binutils-h8300-hms_2.9.5.0.37.5.2_i386.deb
Size: 1794744
MD5sum: 3c82a2aa9198827ae98c73d73a56e7d7
SHA1: 4f00e4bce666597409333229b7291e39be5c99f6
SHA256: ad827053ee20bbf916b9432d03ff3980b1a74094e4bd5c3a9309ccf20581b7b2
Description: GNU cross assembler for H8/300[HS], linker and binary utilities
 The programs in this package are used to assemble, link and
 manipulate binary and object files.  They may be used in
 conjunction with a cross-compiler and various libraries to
 build programs for Hitachi H8/300 microprocessor-based
 target systems.
Tag: admin::hardware, devel::machinecode, interface::commandline, role::sw:utility


Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#387772; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #8 received at 387772@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 392957@bugs.debian.org, 387772@bugs.debian.org
Cc: debian-qa@lists.debian.org
Subject: Can binutils-h8300-hms be removed?
Date: Mon, 23 Oct 2006 17:54:00 +0200
[Message part 1 (text/plain, inline)]
Hi,

I propose binutils-h8300-hms to be removed, for the following reasons:

* Orphaned for two monts without any sign of interest;
* Has an RC bug (non-free docs);
* Last MU four years (!) ago;
* Very few users in popcon (4 votes).


Thijs

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#387772; Package wnpp. Full text and rfc822 format available.

Message #11 received at 387772@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 392957@bugs.debian.org, 387772@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: Can binutils-h8300-hms be removed?
Date: Tue, 24 Oct 2006 16:13:39 +0200
[Message part 1 (text/plain, inline)]
Re: Thijs Kinkhorst 2006-10-23 <1161618840.20027.36.camel@darwin.os9.nl>
> I propose binutils-h8300-hms to be removed, for the following reasons:
> 
> * Orphaned for two monts without any sign of interest;

binutils-h8300-hms is needed for compiling binaries on brickos, so
#387769, #387770, #387771, and #387772 should be adopted (preferably,
I've successfully used the packages) or removed together.

> * Has an RC bug (non-free docs);

I'll have a look at that.

> * Last MU four years (!) ago;
> * Very few users in popcon (4 votes).

Please don't weight the 'votes' column too much, popcon just looks at
a single file in the package, and especially for packages with a large
number of binaries (as binutils-*), the algorithm is likely to pick
one that isn't used much.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#387772; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #16 received at 387772@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Christoph Berg <myon@debian.org>, 392957@bugs.debian.org, 387772@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: Can binutils-h8300-hms be removed?
Date: Tue, 24 Oct 2006 12:35:20 -0300
On Tue, 24 Oct 2006, Christoph Berg wrote:
> > I propose binutils-h8300-hms to be removed, for the following reasons:
> > 
> > * Orphaned for two monts without any sign of interest;
> 
> binutils-h8300-hms is needed for compiling binaries on brickos, so
> #387769, #387770, #387771, and #387772 should be adopted (preferably,
> I've successfully used the packages) or removed together.

h8300-coff is dead and removed upstream.  You are stuck with binutils
2.16.x, unless someone writes a new h8300-coff backend for binutils.

Someone asked about sponsoring these packages, and I offered to do it, but
when I asked about what he planeed to do with the fact that upstream removed
h8300-coff, I never heard from him again.

BTW, h8300-hms is just an outdated alias for h8300-coff. Hitachi doesn't
make H8* uCs anymore, all of them are now made by Renesas (who bought whom I
have no idea whatsoever).

h8300-elf is still alive upstream, for what is it worth.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#387772; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #21 received at 387772@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: 392957@bugs.debian.org, 387772@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: Can binutils-h8300-hms be removed?
Date: Thu, 26 Oct 2006 22:23:31 -0300
On Mon, 23 Oct 2006, Thijs Kinkhorst wrote:
> I propose binutils-h8300-hms to be removed, for the following reasons:
> 
> * Orphaned for two monts without any sign of interest;
> * Has an RC bug (non-free docs);
> * Last MU four years (!) ago;
> * Very few users in popcon (4 votes).

Current packages based on binutils 1.16.1 and the debian packaging of
binutils 2.17 are nearly ready, with a new maintainer (sponsored) and will
be uploaded shortly.

So, please don't remove binutils-h8300-hms at this time.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Changed Bug title. Request was from Michael Tautschnig <tautschn@model.in.tum.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Christoph Berg <myon@debian.org> to Michael Tautschnig <tautschn@model.in.tum.de>. Request was from Michael Tautschnig <tautschn@model.in.tum.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#387772; Package wnpp. Full text and rfc822 format available.

Message #28 received at 387772@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 387772@bugs.debian.org
Cc: Michael Tautschnig <tautschn@model.in.tum.de>
Subject: Re: Bug#387772 submitter address changed (Adopting package)
Date: Mon, 30 Oct 2006 01:58:05 +0100
[Message part 1 (text/plain, inline)]
submitter 387772 !
owner 387772 Michael Tautschnig <tautschn@model.in.tum.de>
thanks

Re: Debian Bug Tracking System 2006-10-30 <handler.387772.C.116216624415606.newsubmitter.0@bugs.debian.org>
> The submitter address recorded for your Bug report
> #387772: ITA: binutils-h8300-hms
> has been changed.

http://www.debian.org/devel/wnpp/index.html#howto-o

| If you are going to adopt a package, retitle its bug to replace ‘O’
| with ‘ITA’, in order for other people to know the package is being
| adopted and to prevent its automatic removal from the archive, and set
| yourself as the owner of the bug.
                  ^^^^^
Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter from Michael Tautschnig <tautschn@model.in.tum.de> to Christoph Berg <myon@debian.org>. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Michael Tautschnig <tautschn@model.in.tum.de>. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Michael Tautschnig <tautschn@model.in.tum.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 387772-close@bugs.debian.org (full text, mbox):

From: Michael Tautschnig <tautschn@model.in.tum.de>
To: 387772-close@bugs.debian.org
Subject: Bug#387772: fixed in binutils-h8300-hms 2.16.1-1
Date: Tue, 31 Oct 2006 16:18:59 -0800
Source: binutils-h8300-hms
Source-Version: 2.16.1-1

We believe that the bug you reported is fixed in the latest version of
binutils-h8300-hms, which is due to be installed in the Debian FTP archive:

binutils-h8300-hms_2.16.1-1.diff.gz
  to pool/main/b/binutils-h8300-hms/binutils-h8300-hms_2.16.1-1.diff.gz
binutils-h8300-hms_2.16.1-1.dsc
  to pool/main/b/binutils-h8300-hms/binutils-h8300-hms_2.16.1-1.dsc
binutils-h8300-hms_2.16.1-1_i386.deb
  to pool/main/b/binutils-h8300-hms/binutils-h8300-hms_2.16.1-1_i386.deb
binutils-h8300-hms_2.16.1.orig.tar.gz
  to pool/main/b/binutils-h8300-hms/binutils-h8300-hms_2.16.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 387772@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tautschnig <tautschn@model.in.tum.de> (supplier of updated binutils-h8300-hms package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 30 Oct 2006 00:11:42 +0100
Source: binutils-h8300-hms
Binary: binutils-h8300-hms
Architecture: source i386
Version: 2.16.1-1
Distribution: unstable
Urgency: medium
Maintainer: Michael Tautschnig <tautschn@model.in.tum.de>
Changed-By: Michael Tautschnig <tautschn@model.in.tum.de>
Description: 
 binutils-h8300-hms - The GNU binary utilities, for h8300-hitachi-coff target
Closes: 387772
Changes: 
 binutils-h8300-hms (2.16.1-1) unstable; urgency=medium
 .
   * New maintainer (closes: #387772)
   * Complete rebuild based on version 2.16.1 of binutils
   * The debian/ directory is based on the version 2.17 of the binutils Debian
     binutils package and binutils-m68hc1x-2.15+3.1. Thanks!
   * Use symbolic links instead of hardlinks from /usr/h8300-hitachi-coff/bin
     to /usr/bin
   * ln -s to /usr/share/misc/config.{sub,guess} and build-depend on
     autotools-dev
   * added override as this is cross-compiler package and thus
     /usr/h8300-hitachi-coff/ is acceptable
Files: 
 ecdcf96cf02e1bdf47928a116c2f209e 1117 devel standard binutils-h8300-hms_2.16.1-1.dsc
 13cc0b0d873fc8b5a3298254a28043fc 16531571 devel standard binutils-h8300-hms_2.16.1.orig.tar.gz
 dfbf1c96b94d51704bd0ac1a2fe91af3 14915 devel standard binutils-h8300-hms_2.16.1-1.diff.gz
 8d9b2e6bb60753d2b2d8d0a41e81b357 2064214 devel extra binutils-h8300-hms_2.16.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iQEVAwUBRUfYkYjztdzjjnrPAQI1vggAm4E6JJ+IpEfWgOUIdLyC6RjM73YqLRLz
eM2ezqnpty9XifCFQO356aeSyh+7Em8rmDQgnhII8Bv1iaBM5mzVQ6RQp/UNd2EQ
lfXXpr8fh4z2LdKRCJiwwu7NrWKp/2WugX6DJ53a9YdwY2ruzu4NlIbmBuZM5cnh
wJn+o36xq+ujgfn9OcUkmRnnKF7S1i9VbOtD078iOJVuqMpafJpBTGnrmUD+Knr4
QpP7vbZbtjThbh5g3iXmxfVijZyMKlpgY/FdYpWY72SetEUNcgsAfRbk5UCxM94I
KyQNEoAOr44cNqLz+2Oll9qRlfh3X0KcP8WriwtXjj0OVYXWepBoRg==
=vj92
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 16:52:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:48:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.